reef-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rogan Carr <rogan.c...@gmail.com>
Subject REEF-1818: Upgrade System.Reactive.* to 3x for CoreCLR Compatibility
Date Thu, 29 Jun 2017 14:40:52 GMT
Hi All,

I've opened REEF-1818 [1] to upgrade the System.Reactive libraries to 3.x
branch because they are CoreCLR compatible versions of the Reactive
libraries.

I created a branch and tested out upgrading to the 3.x branch. REEF builds
successfully, and all tests pass (except for Yarn tests and
`TestTaskLifeCycle()` -- but these fail in the master branch too).

Now, question for the community: Is there any reason to not upgrade these
to the 3.x branch? Also, are there any other tests that I should run other
than the ones we have coded up?

Thanks for your help!

Best,
Rogan

[1] https://issues.apache.org/jira/browse/REEF-1818

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message